package com.esignlive.guidance.forum;
import java.util.Date;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.builder.DocumentPackageSettingsBuilder;
import com.silanis.esl.sdk.builder.PackageBuilder;

public class _09_23_time_based_expiry {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";
	
	public static void main(String[] args) {
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
		DocumentPackage pkg = PackageBuilder
				.newPackageNamed("Create a package with Expiry Date - " + System.currentTimeMillis())
				.withSettings(DocumentPackageSettingsBuilder.newDocumentPackageSettings()
						.withDefaultTimeBasedExpiry()
						.withRemainingDays(15)
						.withoutDefaultTimeBasedExpiry()
						)
				.build();
		
		PackageId createPackage = eslClient.createPackage(pkg);
		
		DocumentPackage pkg1 = eslClient.getPackage(createPackage);
		Date createdDate = pkg1.getCreatedDate();
		Date expiryDate = pkg1.getExpiryDate();
		System.out.println("created at: " + createdDate);
		System.out.println("expired at: " + expiryDate);
		
	}

}
